﻿header{
    display: block;
    position: fixed;
    z-index: 999;
    top: 0;
    width: 100%;
    font-size: 0;
    background-color: rgba(0, 0, 0, .0.0);
    transition: all .3s linear;
}
.header-logo{
    display: inline-block;
    vertical-align: middle;
    width: 400px;
    max-width: 100%;
    font-family:"cwTeXFangSong";
    font-size: 46px;
    color: #FFF;
}
.header-box{
    width: 1200px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    position: relative;
}

.header-logo span{
    width: 30px;
    height: 2px;
    background-color: #FFF;
    vertical-align: middle;
    display: inline-block;
}
.header-logo span:first-child{
    margin-right: 10px;
}
.header-logo span:last-child{
    margin-left: 10px;
}

.header-logo h3{
    display: inline-block;
    vertical-align: middle;
    letter-spacing: 2px;
}

.header2{
    background-color: rgba(0, 0, 0, 0.6);
}
.header-logo{
    transition: all .3s linear;
    cursor: pointer;
}
.header2 .header-logo{
    font-size: 30px;
}
.header-menu{
    display: inline-block;
    vertical-align: middle;
    width: calc(100% - 400px);
    text-align: right;
}

.header-menu li{
    display: inline-block;
    vertical-align: middle;
    padding-left: 45px;
    color: #FFF;
    font-size: 20px; 
    letter-spacing: 1px; 
}
.header-menu li:first-child{
    padding: 0;
}
.header-menu li a{
    display: block;
    position: relative;
}
.header-menu li a:after{
    content: '';
    width: 0;
    height: 1px;
    display: block;
    position: absolute;
    bottom: -2px;
    background-color: #ffda45;
    transition: all .1s linear;
}
.header-line-icon-box{
    position: absolute;
    top: calc(100% + 10px);
}
.header-line-icon{
    width: 30px;
    display: inline-block;
    margin-right: 10px;
    vertical-align: middle;
}
.header-phone-box{
    display: inline-block;
    vertical-align: middle;
    font-size: 24px;
    letter-spacing: 1px;
    color:#ff0000;
}
.header-phone-box:hover,
.line-id:hover{
    color: #ff0000;
}
.header2 .header-phone-box{
    text-shadow: rgba(0, 0, 0, 0.6) 0px 1px 2px;
}

/*----------------------------------*/
.rwd-menu{
    width: 59px;
    position: absolute;
    right: 3%;
    top: 45px;
    z-index: 99999;
    display: none;
}
.rwd-menu span{
    width: 40px;
    display: block;
    margin: 0 auto;
    height: 4px;
    background-color: #FFF;
    position: relative;
}
#index .rwd-menu span{
    background-color: #FFF;
}
.rwd-menu span:nth-child(even){
    margin: 10px auto;
    transition: all .4s linear;
}
.rwd-menu span:nth-child(1){
    transform: scale(1);
    transform-origin: left;
    transition: all .4s linear;
}
.rwd-menu span:nth-child(3){
    transform: scale(1);
    transform-origin: right;
    transition: all .4s linear;
}
.rwd-menu span:nth-child(4){
    top: -28px;
    transform:  scale(0) rotate(-45deg);
}
.header2 .rwd-menu span:nth-child(4){
    top: -20px;
}
.rwd-menu.active span:nth-child(odd){
    transform: scale(0);
    transition: all .4s linear;
    transition-delay: 0;
}

.rwd-menu.active span:nth-child(2){
    transform: rotate(45deg);
    transition: all .4s linear;
}
.rwd-menu.active span:nth-child(4){
    transform: scaleX(1) rotate(-45deg);
    transition-delay: 0.3s;
}
.rwd-menu.active span{
    background-color: #FFF;
}
.rwd-menu{
    top: 10px;
}
.header2 .rwd-menu span{
    width: 30px;
}
.header2 .rwd-menu span:nth-child(even) {
    margin: 6px auto;
    transition: all .4s linear;
}

.mask{
    width: 100%;
    height: 100vh;
    display: none;
    position: fixed;
    z-index: 998;
    top: 0;
    left: 0;
    background-color: rgba(0,0,0,0.6);
}
.mask-active{
    display: block;
}

.line-id{
    display: block;
    vertical-align: middle;
    font-size:18px;
    letter-spacing: 2px;
    color: #ff0000;
}